/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface NetworkAccountDto
 */
export interface NetworkAccountDto {
  /**
   *
   * @type {string}
   * @memberof NetworkAccountDto
   */
  owner: string;
  /**
   *
   * @type {string}
   * @memberof NetworkAccountDto
   */
  address: string;
  /**
   *
   * @type {number}
   * @memberof NetworkAccountDto
   */
  amount: number;
  /**
   *
   * @type {string}
   * @memberof NetworkAccountDto
   */
  currency: string;
}

export function NetworkAccountDtoFromJSON(json: any): NetworkAccountDto {
  return NetworkAccountDtoFromJSONTyped(json, false);
}

export function NetworkAccountDtoFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): NetworkAccountDto {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    owner: json['owner'],
    address: json['address'],
    amount: json['amount'],
    currency: json['currency'],
  };
}

export function NetworkAccountDtoToJSON(value?: NetworkAccountDto | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    owner: value.owner,
    address: value.address,
    amount: value.amount,
    currency: value.currency,
  };
}
